aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh')
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh44
1 files changed, 11 insertions, 33 deletions
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh b/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
index d85e3c8e..a645fe56 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
@@ -35,45 +35,23 @@
# This script installs QNX 7.
-# shellcheck source=../common/unix/try_catch.sh
-source "${BASH_SOURCE%/*}/../common/unix/try_catch.sh"
-
targetFolder="/opt/"
sourceFile="/net/ci-files01-hki.intra.qt.io/hdd/www/input/qnx/qnx700_mac.zip"
folderName="qnx700"
-ExceptionExtract=100
-ExceptionExtract2=101
-
-
-try
-(
- sudo mkdir -p "$targetFolder"
+sudo mkdir -p "$targetFolder"
- echo "Extracting QNX 7"
- sudo unzip -q "$sourceFile" -d "$targetFolder" || throw $ExceptionExtract
+echo "Extracting QNX 7"
+sudo unzip -q "$sourceFile" -d "$targetFolder"
- sudo chown -R qt:wheel "$targetFolder"/"$folderName"
+sudo chown -R qt:wheel "$targetFolder"/"$folderName"
- # Verify that we have last file in zip
- if [ ! -f $targetFolder/$folderName/qnxsdp-env.sh ]; then
- throw $ExceptionExtract2
- fi
+# Verify that we have last file in zip
+if [ ! -f $targetFolder/$folderName/qnxsdp-env.sh ]; then
+ exit 1
+fi
- # Set env variables
- echo "export QNX_700=$targetFolder/$folderName" >> ~/.bashrc
- echo "QNX SDP = 7.0.0" >> ~/versions.txt
-)
-catch || {
- case $ex_code in
- $ExceptionExtract)
- echo "Failed to unzip QNX 7."
- exit 1;
- ;;
- $ExceptionExtract2)
- echo "The last file in the zip did not get extracted."
- exit 1;
- ;;
- esac
-}
+# Set env variables
+echo "export QNX_700=$targetFolder/$folderName" >> ~/.bashrc
+echo "QNX SDP = 7.0.0" >> ~/versions.txt